Skip to navigation

Create Call Stream Token

Mint a short-lived WebSocket token for a call. Use the returned stream_url to connect to Pinnacle’s bidirectional voice stream.

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired>=1 character
Pinnacle call ID.

Request

This endpoint expects an object.
commands_enabledbooleanOptional
Whether this WebSocket may send call commands. Defaults to true.
stream_idstringOptional

Customer-chosen stream ID for reconnects and multiple subscribers.

recordbooleanOptional
Enable recording for this WebSocket stream.

Response

Stream token.
tokenstring

Short-lived stream token.

expires_atstringformat: "date-time"
stream_urlstringformat: "uri"

Pre-built WebSocket URL containing the token.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error
503
Service Unavailable Error